: Class DropTarget

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.dnd
Class DropTarget

    java.lang.Object
      |
      +--grendel.dnd.DropTarget

public class DropTarget
extends java.lang.Object

Constructor Summary
`DropTarget()`
`DropTarget(java.awt.Component c)`

Method Summary
`void` | `addDropTargetListener(DropTargetListener dte)`
`java.awt.Insets` | `getAutoScrollInsets()`
`java.awt.Component` | `getComponent()`
`int` | `getDefaultTargetActions()`
`DropTargetContext` | `getDropTargetContext()`
`boolean` | `isActive()`
`void` | `removeDropTargetListener(DropTargetListener dte)`
`void` | `setActive(boolean active)`
`void` | `setAutoScrollInsets(java.awt.Insets scrollInsets)`
`void` | `setComponent(java.awt.Component c)`
`void` | `setDefaultTargetActions(int actions)`
`boolean` | `supportsAutoScrolling()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DropTarget

    public DropTarget()

### DropTarget

    public DropTarget(java.awt.Component c)

Method Detail

### getComponent

    public java.awt.Component getComponent()

### setComponent

    public void setComponent(java.awt.Component c)
                      throws java.lang.IllegalArgumentException

### getDropTargetContext

    public DropTargetContext getDropTargetContext()

### supportsAutoScrolling

    public boolean supportsAutoScrolling()

### setAutoScrollInsets

    public void setAutoScrollInsets(java.awt.Insets scrollInsets)

### getAutoScrollInsets

    public java.awt.Insets getAutoScrollInsets()

### setDefaultTargetActions

    public void setDefaultTargetActions(int actions)

### getDefaultTargetActions

    public int getDefaultTargetActions()

### addDropTargetListener

    public void addDropTargetListener(DropTargetListener dte)
                               throws java.util.TooManyListenersException

### removeDropTargetListener

    public void removeDropTargetListener(DropTargetListener dte)

### setActive

    public void setActive(boolean active)

### isActive

    public boolean isActive()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD